XnLogWriter Struct Reference

`#include <XnLogTypes.h>`

## Public Attributes

void * | pCookie
void(* | WriteEntry )(const XnLogEntry *pEntry, void *pCookie)
void(* | WriteUnformatted )(const XnChar *strMessage, void *pCookie)
void(* | OnConfigurationChanged )(void *pCookie)
void(* | OnClosing )(void *pCookie)

## Member Data Documentation

## OnClosing

void(* XnLogWriter::OnClosing) (void *pCookie)

## OnConfigurationChanged

void(* XnLogWriter::OnConfigurationChanged) (void *pCookie)

## pCookie

void* XnLogWriter::pCookie

## WriteEntry

void(* XnLogWriter::WriteEntry) (const XnLogEntry *pEntry, void *pCookie)

## WriteUnformatted

void(* XnLogWriter::WriteUnformatted) (const XnChar *strMessage, void *pCookie)

The documentation for this struct was generated from the following file:

- XnLogTypes.h